Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class AbstractSVGNormPathSegList.SVGPathSegGenericItem

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGItem
          org.apache.batik.dom.svg.AbstractSVGPathSegList.SVGPathSegItem
              org.apache.batik.dom.svg.AbstractSVGNormPathSegList.SVGPathSegGenericItem

All Implemented Interfaces:
  SVGItem, org.w3c.dom.svg.SVGPathSeg, org.w3c.dom.svg.SVGPathSegClosePath

Enclosing class:
  AbstractSVGNormPathSegList

    protected class AbstractSVGNormPathSegList.SVGPathSegGenericItem

extends AbstractSVGPathSegList.SVGPathSegItem

Field Summary

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGPathSegList.SVGPathSegItem
`angle, largeArcFlag, letter, r1, r2, sweepFlag, type, x, x1, x2, y, y1, y2`

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGItem
`itemStringValue, parent`

Fields inherited from interface org.w3c.dom.svg.SVGPathSeg
`PATHSEG_ARC_ABS, PATHSEG_ARC_REL, PATHSEG_CLOSEPATH, PATHSEG_CURVETO_CUBIC_ABS, PATHSEG_CURVETO_CUBIC_REL, PATHSEG_CURVETO_CUBIC_SMOOTH_ABS, PATHSEG_CURVETO_CUBIC_SMOOTH_REL, PATHSEG_CURVETO_QUADRATIC_ABS, PATHSEG_CURVETO_QUADRATIC_REL, PATHSEG_CURVETO_QUADRATIC_SMOOTH_ABS, PATHSEG_CURVETO_QUADRATIC_SMOOTH_REL, PATHSEG_LINETO_ABS, PATHSEG_LINETO_HORIZONTAL_ABS, PATHSEG_LINETO_HORIZONTAL_REL, PATHSEG_LINETO_REL, PATHSEG_LINETO_VERTICAL_ABS, PATHSEG_LINETO_VERTICAL_REL, PATHSEG_MOVETO_ABS, PATHSEG_MOVETO_REL, PATHSEG_UNKNOWN`

Constructor Summary
`AbstractSVGNormPathSegList.SVGPathSegGenericItem(short type, String letter, float x1, float y1, float x2, float y2, float x, float y)`

Method Summary
`float` | `getX()`
`float` | `getX1()`
`float` | `getX2()`
`float` | `getY()`
`float` | `getY1()`
`float` | `getY2()`
`void` | `setPathSegType(short type)`
`void` | `setValue(float x, float y)`
`void` | `setValue(float x1, float y1, float x2, float y2, float x, float y)`
`void` | `setX(float x)`
`void` | `setX1(float x)`
`void` | `setX2(float x)`
`void` | `setY(float y)`
`void` | `setY1(float y)`
`void` | `setY2(float y)`

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGPathSegList.SVGPathSegItem
`getPathSegType, getPathSegTypeAsLetter, getStringValue`

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGItem
`getParent, getValueAsString, resetAttribute, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractSVGNormPathSegList.SVGPathSegGenericItem

    public AbstractSVGNormPathSegList.SVGPathSegGenericItem(short type,
                                                            String letter,
                                                            float x1,
                                                            float y1,
                                                            float x2,
                                                            float y2,
                                                            float x,
                                                            float y)

Method Detail

### setValue

    public void setValue(float x1,
                         float y1,
                         float x2,
                         float y2,
                         float x,
                         float y)

### setValue

    public void setValue(float x,
                         float y)

### setPathSegType

    public void setPathSegType(short type)

### getX

    public float getX()

### getY

    public float getY()

### setX

    public void setX(float x)

### setY

    public void setY(float y)

### getX1

    public float getX1()

### getY1

    public float getY1()

### setX1

    public void setX1(float x)

### setY1

    public void setY1(float y)

### getX2

    public float getX2()

### getY2

    public float getY2()

### setX2

    public void setX2(float x)

### setY2

    public void setY2(float y)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.